Subject: Re: [PATCH v2 1/8] for-each-ref: add --stdin option

From: Junio C Hamano <[email-masked]>
Date: Fri, 10 Mar 2023 10:08:45 -0800

"Derrick Stolee via GitGitGadget" <[email-masked]> writes:

> When reading from stdin, we populate the filter.name_patterns array
> dynamically as opposed to pointing to the 'argv' array directly. This
> requires a careful cast while freeing the individual strings,
> conditioned on the --stdin option.

Indeed.  Thanks for carefully describing the concerns you had.

Looking good.  I'll read on.